
Robotics Service Bus - Feature #195
Tasks # 292 (Resolved): Fix communication with C++ baseline
Integrate Option File Parsing
02/17/2011 06:00 PM - J. Wienke

Status: Resolved Start date: 02/17/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 3.00 hours
Target version: 0.2
Description

.rsbrc files + environment + command line?

Associated revisions
Revision 634738ac - 05/17/2011 06:01 PM - J. Moringen
Initial version of configuration mechanism
refs #195
    -  rsb/__init__.py: Subscriber and Publisher do not require a fully

  prepared Router object anymore; instead, a ParticipantConfig object
  can be supplied

    -  rsb/util.py: added ParticipantConfig class which stores
  configuration options and handles retrieving options form different
  sources

    -  rsb/rsbspread/__init__.py: the constructor of SpreadPort now accepts
  a dictionary of configuration options and extracts the port and
  hostname of the Spread daemon from it

Revision b3f2165a - 05/17/2011 06:16 PM - J. Moringen
Adapted unit tests to account for configuration changes
refs #195
    -  test/rsbspreadtest.py: constructor Publisher and Subscriber object

  differently to account for changes introduced for configuration API

Revision 0e9b79d8 - 05/20/2011 09:46 PM - J. Moringen
Better parsing of configuration options in rsb/__init__.py
refs #195
    -  rsb/__init__.py: enabled options of transports defaults to false;

  honor quality of service options; strip whitespace form
  configuration option values

Revision 4daefeb0 - 05/20/2011 09:47 PM - J. Moringen
Implemented ParticipantConfig test cases in test/coretest.py
refs #195
    -  test/coretest.py: implemented test cases testFromFile and

  testFromEnvironment in suite ParticipantConfig

Revision 3b1b6a22 - 05/20/2011 09:50 PM - J. Moringen
Added test config file test/smoke-test.conf
refs #195
    -  test/smoke-test.conf: new file; test config file for test case

  test.utiltest.EnumTest

Revision 331fdaca - 05/20/2011 10:37 PM - J. Moringen
Added test case default option values in test/coretest.py
refs #195
    -  rsb/__init__.py: added fromDict method to ParticipantConfig class
    -  test/coretest.py: added test case testOverwritingDefaults to test

  suite ParticipantConfigTest

History
#1 - 05/12/2011 03:14 PM - J. Wienke
- Parent task set to #292

#2 - 05/16/2011 02:32 PM - J. Wienke
- Target version set to 0.2

#3 - 05/16/2011 05:03 PM - J. Moringen
Specification is at [[Configuration]]. For version 0.2:
    -  rsb.conf
    -  Environment variables
    -  Commandline

#4 - 05/17/2011 01:20 PM - J. Wienke
- Assignee changed from J. Wienke to J. Moringen

#5 - 05/17/2011 06:22 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 60

#6 - 05/23/2011 05:38 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

The only option that is not respected is errorhandling.onhandlererror.
